Bug 1478729 - Cooler Master keyboard doesn't work after boot unless reconnected [NEEDINFO]
Cooler Master keyboard doesn't work after boot unless reconnected
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 12:15 EDT by Nineth
Modified: 2018-05-29 08:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:26:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (udayreddy)


Attachments (Terms of Use)

  None (edit)
Description Nineth 2017-08-06 12:15:28 EDT
Description of problem:

Cooler Master USB keyboard doesn't work after booting. The keyboard has to be unplugged and plugged back. The power to the keyboard is lost early during the boot process - soon after the grub boot menu item is selected (as indicated by loss of backlighting on the keyboard). So this doesn't have anything do with X.

Version-Release number of selected component (if applicable):
kernel-4.11.11-300.fc26.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Boot

Actual results:
Keyboard doesn't work. Mouse works. Unplugging and plugging back fixes it - but this has to be done after every boot.


Expected results:
Should have worked.

Additional info:

This issue has nothing to do with this specific FC26 kernel - I was experiencing this with recent FC24 kernels as well.

Output after an unplug and replug

[   38.167600] usb 2-1.6: new full-speed USB device number 8 using ehci-pci
[   38.247263] usb 2-1.6: New USB device found, idVendor=2516, idProduct=0047
[   38.247267] usb 2-1.6: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   38.247270] usb 2-1.6: Product: MasterKeys Pro L White
[   38.247272] usb 2-1.6: Manufacturer: Cooler Master Technology Inc.
[   38.250102] input: Cooler Master Technology Inc. MasterKeys Pro L White as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/0003:2516:0047.0002/in
put/input15
[   38.302137] hid-generic 0003:2516:0047.0002: input,hidraw1: USB HID v1.11 Keyboard [Cooler Master Technology Inc. MasterKeys Pro L White] on usb-0000:00:1d.0-1.6/input0
[   38.304338] hid-generic 0003:2516:0047.0003: hiddev0,hidraw2: USB HID v1.11 Device [Cooler Master Technology Inc. MasterKeys Pro L White] on usb-0000:00:1d.0-1.6/input1
[   38.307585] input: Cooler Master Technology Inc. MasterKeys Pro L White as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.2/0003:2516:0047.0004/input/input16
[   38.360028] hid-generic 0003:2516:0047.0004: input,hidraw3: USB HID v1.11 Keyboard [Cooler Master Technology Inc. MasterKeys Pro L White] on usb-0000:00:1d.0-1.6/input2
Comment 1 Chuck Ebbert 2017-08-17 11:20:44 EDT
Do you get error -110 in the logs during boot? 

[ 6.871136] usb 3-6: unable to read config index 0 descriptor/all
[ 6.871138] usb 3-6: can't read configurations, error -110

It may need a fix like this:

http://lkml.iu.edu/hypermail/linux/kernel/1708.1/06920.html
Comment 2 Laura Abbott 2018-02-27 22:59:58 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Fedora End Of Life 2018-05-03 04:06:44 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 08:26:39 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.